Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8018 - No local and remote filesystem access during kickstart %post installation
Summary: No local and remote filesystem access during kickstart %post installation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-27 22:48 UTC by dbelliz
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 02:59:43 UTC


Attachments (Terms of Use)
Kickstart config file (deleted)
1999-12-28 19:12 UTC, dbelliz
no flags Details

Description dbelliz 1999-12-27 22:48:06 UTC
Why is it I am not able to access previouly mounted file systems (local and
nfs) during the %post phase of a kick start installation?
The 2nd virtual terminal's bash prompt (alt + F2) has access to these file
systems during the entire install. Any reference to /mnt/source and
/mnt/sysimage fail during the %post phase but work great in the 2nd virtual
terminal. What is required for me to access these file systems?

Comment 1 Riley H Williams 1999-12-28 18:39:59 UTC
Does the %post phase have the same root directory or has a chroot occurred?

Comment 2 dbelliz 1999-12-28 19:12:59 UTC
Created attachment 47 [details]
Kickstart config file

Comment 3 dbelliz 1999-12-28 19:13:59 UTC
If a chroot has occurred It has happened unbeknownst to me. Here is my ks.cfg

Comment 4 Matt Domsch 2000-01-27 22:08:59 UTC
%post happens in a chrooted environment, chroot /mnt/sysimage I believe.  Your
system is now found at /.

If you need a non-chrooted environment for %post (but be careful!), use
%post --nochroot

Comment 5 dbelliz 2000-01-30 18:53:59 UTC
Thank You,
My instructor Dax has also set me straight on this. It would be nice if this was
in the docs though.

Comment 6 Jay Turner 2000-02-10 02:59:59 UTC
The kickstart process will actually be documented quite well in the next
release, so look forward to that.


Note You need to log in before you can comment on or make changes to this bug.